### Function

# GLibUnix fd_source_new

since: 2.36

#### Declaration [src]

    GSource*
    g_unix_fd_source_new (
      gint fd,
      GIOCondition condition
    )

#### Description [src]

Creates a `GSource` to watch for a particular I/O condition on a file descriptor.

The source will never close the `fd` — you must do it yourself.

Any callback attached to the returned `GSource` must have type `GUnixFDSourceFunc`.

Available since: 2.36

#### Parameters

`fd`

  Type: `gint`

  A file descriptor.

`condition`

  Type: `GIOCondition`

  I/O conditions to watch for on `fd`.

#### Return value

Type: `GSource`

The newly created `GSource`.

The caller of the function takes ownership of the data, and is responsible for freeing it.